> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Person



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/people/{person_id}
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/people/{person_id}:
    patch:
      tags:
        - people
      summary: Update Person
      operationId: update_person_v1_people__person_id__patch
      parameters:
        - name: person_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Person Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PersonUpdate:
      properties:
        external_id:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: External Id
        first_name:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Last Name
        birth_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birth Date
        hire_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Hire Date
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
              maxLength: 40
            - type: 'null'
          title: Phone
        position:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Position
        sector:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Sector
        photo_asset_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Photo Asset Id
        custom_fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Fields
        status:
          anyOf:
            - type: string
              pattern: ^(active|inactive)$
            - type: 'null'
          title: Status
      type: object
      title: PersonUpdate
    PersonOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        first_name:
          type: string
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        birth_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birth Date
        hire_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Hire Date
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        position:
          anyOf:
            - type: string
            - type: 'null'
          title: Position
        sector:
          anyOf:
            - type: string
            - type: 'null'
          title: Sector
        photo_asset_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Photo Asset Id
        photo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo Url
        status:
          type: string
          title: Status
        custom_fields:
          additionalProperties: true
          type: object
          title: Custom Fields
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - org_id
        - external_id
        - first_name
        - last_name
        - birth_date
        - hire_date
        - email
        - phone
        - position
        - sector
        - photo_asset_id
        - status
        - custom_fields
        - created_at
        - updated_at
      title: PersonOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````